1 (edited by oyvindlg 2022-08-23 12:47:19)

Topic: libvips-tools operation is broken in latest update

Hi, I happily use the libvips-tools for CentOS 7, found in remi-safe,which provides cli usage of vips from remi-safe and thought I would post this issue https://github.com/libvips/libvips/issu … 1223959611 which I discovered after updating the package.

I think it is mostly a bug for the operation dzsave, and the issues seems to be vips being built with the core libgsf in CentOS 7.

the command which fails is : vips dzsave ../k2.tif x

jcupitt very helpfully posted a fix (see link above) to build myself for CentOS 7, mentioned in the issue above. However it's been very nice to have a updated and working package from remi-safe for the vips library and the tools. Is this something that can also be added during packaging, or am I out of luck?

Re: libvips-tools operation is broken in latest update

Will check after my Holidays,

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: libvips-tools operation is broken in latest update

For now I recommend you upgrade to a modern distribution for modern features:

EL-7 is 8 years old, close to its EOL
EL-8 is only 3 years old, will be maintained until 2029
EL-9 is very recent, only a few months, will be maintained until 2032


On EL-7, everything is too old, starts to be a nightmare to maintain anything recent on this distribution.

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: libvips-tools operation is broken in latest update

Thank you for the recommendation and following up the issue on Github, it may work on the next vips release it looks like. For now I pinned the last working version in yum. We gradually move to new distributions, but we still have lots running on EL7. Thanks for maintaining the repos and we'll look at upgrading more of our services. Looking forward to testing out EL9  smile

Re: libvips-tools operation is broken in latest update

Version 8.13.1 which seems to include the fix is now available in the repo

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi